#
# spec file for package perl-Module-Util
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Module-Util
Version:        1.09
Release:        1.27
%define cpan_name Module-Util
Summary:        Module name tools and transformations
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Module-Util/
Source:         http://www.cpan.org/authors/id/M/MA/MATTLAW/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build) >= 0.40
%{perl_requires}

%description
This module provides a few useful functions for manipulating module names.
Its main aim is to centralise some of the functions commonly used by
modules that manipulate other modules in some way, like converting module
names to relative paths.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README scripts

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.09
  see /usr/share/doc/packages/perl-Module-Util/Changes
  1.09 - Thu Jan 10 2013
  - Added module_name_parts
  1.08 - Mon May 28 2012
  - Added an explicit =encoding directive to avoid pod errors
* Sun May  1 2011 coolo@opensuse.org
- initial package 1.07
  * created by cpanspec 1.78.04
